@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@300;400;600&family=Tangerine:wght@400;700&display=swap');

/* 定義 CSS 變數 */
:root {
    --main-bg: #EEDAD1;
    --text-color: #000;
    --text-white: #fff;
    --highlight: #ffc83d;
}

/* 重置樣式 */
:where(*) {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    font-family: Arial, Helvetica, Roboto, 'Noto Sans TC', '微軟正黑體';
}

/* 預設標籤樣式 */
body {
    line-height: 1;
    background: var(--main-bg);
    color: var(--text-color);
    animation: bg-change-color 25s infinite ease-in-out;
    cursor: none;
}

.custom-cursor {
    width: 40px;
    height: 40px;
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: .3s cubic-bezier(0.075, 0.82, 0.165, 1);
    mix-blend-mode: difference;
    z-index: 1000;
}

a {
    text-decoration: none;
    color: inherit;
    cursor: none;
}

ul,
ol,
li {
    list-style: none;
}

::selection {
    color: var(--text-color);
    background: var(--highlight);
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    line-height: 1;
    background-image: repeating-linear-gradient(to left, #eeeeee, #eeeeee 1px, transparent 1px, transparent 100%);
    background-size: calc(100% / 6);
    background-color: #EEDAD1;
    color: #000;
    animation: bg-change-color 25s infinite ease-in-out;
}

/* 背景顏色變換動畫 */
@keyframes bg-change-color {

    0%,
    100% {
        background-color: var(--main-bg);
    }

    20% {
        background-color: #e1eed1;
    }

    40% {
        background-color: #d1eeea;
    }

    60% {
        background-color: #d3d1ee;
    }

    80% {
        background-color: #eed1e4;
    }
}

.c-scrollbar {
    mix-blend-mode: difference;
}

.c-scrollbar_thumb {
    background-color: var(--text-white);
}

.d-flex {
    display: flex;
}

::selection {
    color: #000;
    background: #ffc83d;
}

.nav {
    position: fixed;
    right: 3%;
    top: 4%;
    mix-blend-mode: difference;
    z-index: 100;
    display: flex;
    gap: 2vw;
}

.nav button {
    position: relative;
    font-size: 1.6vw;
    font-weight: 500;
    display: inline-block;
    line-height: 1.4;
    color: var(--text-white);
    transition: .5s all;
    z-index: 100;
    background-color: transparent;
    cursor: none;
}

.perm-item {
    position: fixed;
    left: 2.5%;
    bottom: 3%;
    mix-blend-mode: difference;
    z-index: 100;
}

.perm-item ul li {
    margin: 4px 0;
}

.perm-item ul li a {
    position: relative;
    display: inline-block;
    background-color: var(--text-white);
    transition: .5s all;
    padding: 0 8px;
}

.perm-item ul li a span {
    position: relative;
    font-size: 1.6vw;
    font-weight: 500;
    display: inline-block;
    line-height: 1.4;
    color: var(--text-color);
    transition: .5s all;
    z-index: 100;
}

.perm-item ul li a:hover {
    padding: 0 16px;
}

.perm-item ul li a:hover>span {
    position: relative;
    color: #000;
    z-index: 100;
}

.perm-item ul li>a::after {
    content: '';
    position: absolute;
    background-color: #ffc83d;
    left: 0;
    width: 0;
    height: 100%;
    top: 0;
    transition: .5s all;
    opacity: 0;
    z-index: 0;
}

.perm-item ul>li>a:hover::after {
    opacity: 1;
    width: 100%;
}

.copyright {
    position: fixed;
    right: 2.5%;
    bottom: 3%;
    mix-blend-mode: difference;
    z-index: 100;
}

.copyright h1 {
    font-size: 1vw;
    /* background-color: var(--text-white); */
    display: inline-block;
    line-height: 1.4;
    color: var(--text-white);
    /* font-family: 'Tangerine', cursive; */
}

/* banner */
.banner {
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.banner .text {
    text-align: center;
    z-index: 2;
    position: relative;
    width: 100%;
}

.banner .text .welcome {
    text-align: left;
    padding: 0 10vw;
    display: flex;
    flex-direction: column;
}

h4 {
    margin: 0;
    font-size: 2.5vw;
    text-transform: uppercase;
}

h2 .big-words {
    font-size: 12vw;
    text-transform: uppercase;
}

.ml7 {
    position: relative;
}

.ml7 .text-wrapper {
    position: relative;
    display: inline-block;
    overflow: hidden;
}

.ml7 .letter {
    transform-origin: 0 100%;
    display: inline-block;
    line-height: 1;
}

.banner .banner-detail {
    display: flex;
}

.banner .banner-detail p {
    font-size: 1.7vw;
    line-height: 1.4;
    color: rgb(0, 0, 0);
    /* margin-inline: auto; */
    overflow: hidden;
    white-space: nowrap;
    border-right: 1px solid var(--text-color);
    animation: typing 1.4s 1.6s steps(36) forwards,
        blink 1s step-end infinite;
    opacity: 0;
}

.is-inview {
    opacity: 1 !important;
}

.about {
    display: flex;
    align-items: center;
    max-width: 960px;
    margin: auto;
}

.about .quote {
    font-size: 1.7vw;
    line-height: 1.8;
    color: var(--text-white);
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    padding: 0 0vw;
    opacity: 0;
    transition: 1s 0.2s ease;
    gap: 40px;
}
.about .quote .d-flex{
    justify-content: center;
    gap: 4vw;
    align-items: center;
}
.about .quote .mask {
    mask: url("../img/profile-mask.png") no-repeat center center;
    mask-size: contain;
    width: 15vw;
    height: 20vw;
}

.about .quote .mask img {
    width: 110%;
    height: auto;
    transform-origin: center center;
}

.about .quote .detail {
    display: flex;
}

.about .quote .detail span:first-child {
    margin-right: 8px;
}

.about .quote .detail span:last-child {
    margin-left: 8px;
}

.about .quote .intro {
    font-size: 1.2vw;
}

@keyframes typing {
    from {
        width: 0;
        opacity: 1;
    }

    to {
        opacity: 1;
        width: 100%;
    }
}

@keyframes blink {
    50% {
        border-color: transparent;
    }
}

p.lead {
    font-size: 1.5em;
}

span.icon {
    display: inline-block;
    margin: 0;
    padding: 40px 0;
    font-size: 6em;
}

.wrapper {
    padding: 40px;
}

.placeholder {
    width: 100%;
    height: 600px;
    margin: 40px 0;
    background: #e7d0ca;
}

.vec-img-01 {
    position: absolute;
    display: inline-block;
    top: 13%;
    left: -9%;
    width: 15%;
    animation: rotate 8s ease-in-out infinite;
}

.vec-img-02 {
    width: 20%;
    position: absolute;
    display: inline-block;
    top: 0%;
    right: -12%;
    /* transform: rotate(-60deg); */
    animation: rotate 12s ease-in-out infinite;
}

.vec-img-03 {
    width: 8%;
    position: absolute;
    display: inline-block;
    bottom: 18%;
    right: 16%;
    animation: rotate 16s ease-in-out infinite;
}

.vec-img-04 {
    width: 10%;
    position: absolute;
    display: inline-block;
    bottom: 8%;
    left: 24%;
    animation: rotate 4s ease-in-out infinite;
}

@keyframes rotate {

    0%,
    100% {
        transform: rotate(0);
        opacity: 0.2;
    }

    50% {
        transform: rotate(22deg);
        opacity: 0.5;
    }
}

.scroll-down {
    text-align: center;
    display: flex;
    flex-direction: column;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 5%;
    width: 240px;
    align-items: center;
    gap: 30px;
}

.scroll-down div {
    height: 40px;
    overflow: hidden;
    width: 100%;
}

.scroll-down p {
    font-size: 40px;
    font-family: 'Tangerine', cursive;
    position: relative;
    animation: scrollAni 1s ease-out infinite;
}

@keyframes scrollAni {
    0% {
        top: -40px;
    }

    100% {
        top: 0;
    }
}

.scroll-down span {
    width: 1px;
    height: 12vh;
    display: inline-block;
    background-color: #898989;
}

.scroll-down img {
    width: 35vw;
    max-width: 100%;
}

.social-bar ul li {
    display: inline-block;
}

/* Works */
.works-bg {
    background-color: #000;
}

.works-container {
    width: 100%;
    padding: 24vh 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    gap: 160px;
}

.works-container .title-container,
.game-banner .title-container {
    color: var(--text-white);
    text-align: center;
    font-size: 8vw;
    top: 0;
    position: relative;
    z-index: 50;
    display: flex;
    align-items: center;
    mix-blend-mode: difference;
    justify-content: center;
}

.works-container .title-container header {
    padding-bottom: 54px;
}

.works-item {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
}



.works-item .works-text {
    font-size: 2vw;
    color: var(--text-white);
    display: flex;
    flex-direction: column;
    gap: 1.6vh;
}

.works-item .works-text span {
    font-size: 1.2vw;

}

.works-item .works-text .hashtag {
    display: flex;
    gap: 4px;
}

.works-item .works-text .hashtag span {
    font-size: 0.8vw;
    background-color: var(--text-white);
    color: var(--text-color);
    padding: 2px 4px;
    font-weight: 600;
    letter-spacing: -0.05em;
}

.work-img {
    width: 50vw;
}

.img-inner {
    position: relative;
    overflow: hidden;
    display: inline-block;
    width: 100%;
    padding-bottom: 56.75%;
    transition: .3s ease-in-out;
}

.img-inner>img {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    transition: 1s 0.2s ease;
    filter: grayscale(1);
    object-fit: cover;
    opacity: 0;
}

.works.is-inview .img-inner>img {
    filter: inherit;
    opacity: 1;
    transform: translate(-50%, -50%) scale(1.05);
}

.work-btn {
    display: block;
    position: relative;
    width: fit-content;
    margin-top: 24px;
}

.work-btn a {
    display: inline-block;
    color: var(--text-white);
    padding: 2vh 2vw;
    font-size: 1.2vw;
    transition: 0.3s ease-in-out;
    border: 1px solid var(--text-white);
    box-sizing: border-box;
    position: relative;
}

.work-btn::before {
    content: '';
    position: absolute;
    background-color: #ffc83d;
    left: 0;
    width: 0;
    height: 100%;
    top: 0;
    transition: .5s all;
    opacity: 0;
    z-index: 0;
}

.works:hover .works-item .works-text .work-btn::before {
    opacity: 1;
    width: 100%;
}

.works:hover .works-item .works-text .work-btn a {
    color: var(--text-color);
}

.works:hover .img-inner img {
    filter: inherit;
}

/* game-banner */
.game-banner {
    padding: 24vh 0 0vh;
}

.game-banner .container {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 1.4vw;
}

.game-banner .container .col {
    width: 18%;
    transition: 1s all;

}

.game-banner .container .col div {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.4vw;
}

.game-banner .container .col div img {
    width: 100%;
}

/* uiux */

.uiux {
    min-height: calc(320vh + 36px + 36px);
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-columns: 40% 60%;
}

.uiux h2 {
    font-size: 8vw;
    line-height: 1.2;
    text-align: right;
    padding: 36px;
}

.uiux h2 cite {
    display: block;
    font-size: 2vw;
    margin-top: 36px;
}

.uiux .images-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.uiux .images-container img {
    width: 100%;
    height: 100%;
    align-self: stretch;
    transition: 0.3s ease-in-out;
    filter: grayscale(1);
    object-fit: cover;
}

.uiux .images-container img:hover {
    filter: inherit;

}

/* footer */
footer {
    background-color: #56514a;
}

.footer-img {
    width: 50%;
    display: inline-block;
    overflow: hidden;
    height: 60vh;
}

.footer-title {
    display: flex;
    flex-direction: column;
    width: 50%;
    margin: 0 4vw;
    gap: 20px;
}

.footer-title header {
    text-align: left;
    justify-content: flex-start;
    font-size: 3vw;
    font-weight: 500;
    margin-bottom: 0;
}

.footer.d-flex {
    align-items: center;
    justify-content: space-evenly;
}

.footer .header-titles span {
    color: var(--text-white);
}

.footer-info img {
    display: inline-block;
    width: 8vw;
}

.footer-info span {
    display: inline-block;
}

.footer-info li {
    font-size: 1.2vw;
    color: var(--text-white);
    margin-bottom: 12px;
}

@media screen and (max-width: 1440px) {

    .about .quote {
        padding: 0 40px;
        font-size: 3vw;
        gap: 2vw;
    }

    .about .quote .intro {
        font-size: 2vw;
    }
}

@media screen and (max-width: 991px) {
    .custom-cursor {
        display: none;
    }
}

@media screen and (max-width: 767px) {
    .banner {
        height: 50vh;
        padding: 30vh 0 20vh;
        align-items: baseline;
    }

    h4 {
        font-size: 6vw;
        text-align: center;
    }

    h2 .big-words {
        line-height: 0.8;
        font-size: 28vw !important;
    }

    .banner .banner-detail {
        justify-content: center;
    }

    .banner .banner-detail p {
        font-size: 4.5vw;
        line-height: 1.4;
        text-align: center;
        color: rgb(0, 0, 0);
    }

    .ml7 {
        text-align: center;
    }

    .scroll-down {
        bottom: 4%;
        gap: 12px;
    }

    .scroll-down p::before {
        bottom: -120px;
    }

    .banner .text .welcome {
        padding: 0 4vw;
        gap: 12px;
    }

    .ml7 .letter {
        line-height: 0.8;
    }

    .about {
        padding-top: 8vh;
    }

    .about .quote .detail {
        display: flex;
        justify-content: center;
    }

    .about .quote .mask img {
        width: 100%;
    }

    .about .quote {
        padding: 0 40px;
        font-size: 4.5vw;
        gap: 6vw;
    }

    .about .quote .mask {
        width: 100%;
        height: 100vw;
    }

    .about .quote .intro {
        font-size: 3.6vw;
    }
    .about .quote .d-flex{
        justify-content: center;
        gap: 4vw;
        align-items: center;
        flex-direction: column;
    }
    .uiux {
        min-height: inherit;
    }

    .web {
        display: none !important;
    }

    .works-title {
        display: inline-block;
        font-size: 6vw;
        line-height: 1.1;
    }

    .works-item .works-text .hashtag span {
        font-size: 3vw;
    }

    .works-item .works-text span {
        font-size: 4vw;
    }

    .work-btn {
        display: none;
    }

    .work-img {
        width: 100%;
    }

    .works-item {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: flex-start;
        padding: 0 32px;
        gap: 12px;
    }

    .works:nth-child(odd) .works-item {
        flex-direction: column;
    }

    .works-container {
        padding: 8vh 0;
        gap: 60px;
    }

    .works-container .title-container {
        font-size: 22vw;
    }

    .works-container .title-container header {
        padding-bottom: 0;
    }

    .works-container .title-container header h2,
    .game-banner .title-container header h2 {
        transition: 1s 0.2s ease;
        opacity: 0;
    }

    .works-container .title-container header.is-inview h2,
    .game-banner .title-container.is-inview header h2 {
        opacity: 1;
    }

    .works:last-child {
        margin: 0;
    }

    .works-text {
        font-size: 8vw;
        padding: 0;
    }

    .copyright h1 {
        font-size: 2.5vw;
    }

    .copyright {
        display: none;
    }

    .perm-item {
        right: 4.5%;
        bottom: 4.5%;
        left: initial;
        text-align: right;
    }

    .perm-item ul li {
        margin: 0;
    }

    .perm-item ul li a span {
        font-size: 6vw;
    }

    .nav {
        gap: 0vw;
        width: 100%;
        top: 3%;
        right: 0;
        justify-content: center;
    }

    .nav button {
        font-size: 4.5vw;
        padding: 8px 12px;
        /* background-color: var(--text-white);
        color: var(--text-color); */
    }

    .scroll-down p,
    .scroll-down h2 {
        font-size: 11vw;
    }

    .vec-img-01 {
        width: 50vw;
        top: -13vh;
        left: -18vw;

    }

    .vec-img-02 {
        width: 50vw;
        top: -7vh;
        right: -18vw;
    }

    .vec-img-03 {
        display: none;
    }

    .vec-img-04 {
        width: 50vw;
        bottom: 34vw;
        left: -24vw;
    }

    .work-btn a {
        font-size: 4vw;
    }

    .img-inner>img {
        filter: inherit;
    }

    .footer {
        flex-direction: column-reverse;
    }

    .footer-img {
        width: 100%;
        height: 40vh;
    }

    .footer-title header {
        font-size: 6vw;
        padding: 0 8vw;
    }

    .footer-title {
        width: 100%;
        margin: 8vh 0;
    }

    .footer-info li {
        padding: 0 8vw;
        font-size: 4vw;
    }

    .footer-info img {
        display: inline-block;
        width: 31vw;
    }

    body {
        background-size: calc(100% / 4);
    }

    .footer-img img {
        width: 140%;
    }

    .uiux {
        height: initial;
        display: inline-block;
    }

    .uiux h2 {
        font-size: 16vw;
        line-height: 1.2;
        padding: 8vh 8vw 4vh;
        text-align: center;
        transition: 1s 0.2s ease;
        opacity: 0;
    }

    .uiux h2.is-inview {
        opacity: 1;
    }

    .uiux .images-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .uiux .images-container img {
        filter: inherit;
    }

    .game-banner .container {
        flex-wrap: wrap;
    }

    .game-banner .container .col {
        width: 40%;
    }

    .game-banner {
        padding: 8vh 0;
    }

    .game-banner .title-container {
        font-size: 22vw;
        margin-bottom: 60px;
    }
}